import { _decorator, Component, Node } from 'cc';
const { ccclass, property } = _decorator;

import { StateMachine } from './state-machine/state-machine.js'
console.log('StateMachine 222222', StateMachine)


@ccclass('Test2')
export class Test2 extends Component {
    /* class member could be defined like this */
    // dummy = '';

    /* use `property` decorator if your want the member to be serializable */
    // @property
    // serializableDummy = 0;

    start () {
        let fsm = StateMachine.create({
            initial: 'green',
            events: [
                { name: 'warn', from: 'green', to: 'yellow' },
                { name: 'panic', from: 'yellow', to: 'red' },
                { name: 'calm', from: 'red', to: 'yellow' },
                { name: 'clear', from: 'yellow', to: 'green' },

            ]
        });
        console.log('fsm.state', fsm.current);
       
    }

    // update (deltaTime: number) {
    //     // Your update function goes here.
    // }
}
